Bug 169656 - tux crashes on first access
tux crashes on first access
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
none
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 13:59 EDT by William H. Haller
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William H. Haller 2005-09-30 13:59:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Runs fine under kernel 2.6.12-1.1456_FC4.

Error occurs on first access of server.

Apache is running on 8080, tux is front ending on 80. Resetting apache to run on 80 works fine.


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Access the tux/httpd webserver with any browser - in this case the browser was both firefox and lynx running on the same host as the webserver.
  

Actual Results:  No other apparent system problems - tux just crashes. Apache reconfigured to run stand alone works OK. Tux/Apache running with the previous kernel works OK.

Expected Results:  Tux should do most of the heavy lifting for the site without crashing as in 2.6.12.

Additional info:

The Apache server is compiled from sources.

Sep 30 11:31:12 bill2 kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000000
Sep 30 11:31:12 bill2 kernel:  printing eip:
Sep 30 11:31:12 bill2 kernel: c01768e6
Sep 30 11:31:12 bill2 kernel: *pde = 1c442067
Sep 30 11:31:12 bill2 kernel: Oops: 0000 [#1]
Sep 30 11:31:12 bill2 kernel: Modules linked in: ip_conntrack_tftp ip_conntrack_proto_sctp ip_conntrack_irc ip_conntrack_ftp ip_conntrack_amanda tux zlib_deflate autofs4 ipt_LOG ipt_state ip_conntrack ipt_multiport iptable_filter ip_tables dm_mod video button battery ac ohci1394 ieee1394 uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx gameport snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy ext3 jbd sata_via libata sd_mod scsi_mod
Sep 30 11:31:12 bill2 kernel: CPU:    0
Sep 30 11:31:12 bill2 kernel: EIP:    0060:[<c01768e6>]    Not tainted VLI
Sep 30 11:31:12 bill2 kernel: EFLAGS: 00010046   (2.6.13-1.1526_FC4) 
Sep 30 11:31:12 bill2 kernel: EIP is at kmem_cache_alloc+0xf/0x4e
Sep 30 11:31:12 bill2 kernel: eax: 00000000   ebx: 00000246   ecx: 00000000   edx: 00000220
Sep 30 11:31:12 bill2 kernel: esi: 00000220   edi: 00000000   ebp: cd9c18e0   esp: df573ee8
Sep 30 11:31:12 bill2 kernel: ds: 007b   es: 007b   ss: 0068
Sep 30 11:31:12 bill2 kernel: Process tux (pid: 1943, threadinfo=df573000 task=dfa0d550)
Sep 30 11:31:12 bill2 kernel: Stack: d4ca6040 d4ca6940 dce9c800 e0c09f01 c172bf94 c03ff266 0100007f dce9c800 
Sep 30 11:31:12 bill2 kernel:        00000000 e0c297e0 00000000 e0c0a070 dce9c800 00000000 e0c06190 e0c29640 
Sep 30 11:31:12 bill2 kernel:        dce9c800 e0c07759 003d08d9 dfa0d678 dfa0d550 7d644a00 003d08d9 00000000 
Sep 30 11:31:12 bill2 kernel: Call Trace:
Sep 30 11:31:12 bill2 kernel:  [<e0c09f01>] redirect_sock+0xb0/0x1ae [tux]
Sep 30 11:31:12 bill2 kernel:  [<c03ff266>] schedule+0x356/0x938
Sep 30 11:31:12 bill2 kernel:  [<e0c0a070>] redirect_request+0x71/0xe1 [tux]
Sep 30 11:31:12 bill2 kernel:  [<e0c06190>] tux_schedule_atom+0x29/0x3f [tux]
Sep 30 11:31:12 bill2 kernel:  [<e0c07759>] process_requests+0x229/0x457 [tux]
Sep 30 11:31:12 bill2 kernel:  [<e0c168a2>] event_loop+0x6c/0x190 [tux]
Sep 30 11:31:12 bill2 kernel:  [<e0c188fe>] __sys_tux+0x253/0x9ac [tux]
Sep 30 11:31:12 bill2 kernel:  [<c0143bb9>] sys_setuid+0xed/0x144
Sep 30 11:31:12 bill2 kernel:  [<c0104465>] syscall_call+0x7/0xb
Sep 30 11:31:12 bill2 kernel: Code: c7 44 24 08 de 08 00 00 c7 44 24 04 4f 70 41 c0 c7 04 24 b0 f5 40 c0 e8 8c 12 fb ff 57 56 53 89 c7 89 d6 f6 c2 10 75 21 9c 5b fa <8b> 17 8b 02 85 c0 74 2c c7 42 0c 01 00 00 00 83 e8 01 89 02 8b 
Sep 30 11:31:12 bill2 kernel:  <5>TUX: thread 0 stopping ...
Comment 1 William H. Haller 2005-10-21 11:14:38 EDT
No change on 1532 kernel - looking at the changelog, none was expected. Here's
the dump.

Oct 21 09:13:00 bill2 kernel: TUX: logger thread started.
Oct 21 09:13:00 bill2 kernel: TUX: thread 0 listens on http://0.0.0.0:80.
Oct 21 09:13:27 bill2 kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Oct 21 09:13:27 bill2 kernel:  printing eip:
Oct 21 09:13:27 bill2 kernel: c01768e6
Oct 21 09:13:27 bill2 kernel: *pde = 08a62067
Oct 21 09:13:27 bill2 kernel: Oops: 0000 [#1]
Oct 21 09:13:27 bill2 kernel: Modules linked in: tux zlib_deflate parport_pc lp
parport ip_conntrack_tftp ip_conntrack_proto_sctp ip_conntrack_irc
ip_conntrack_ftp ip_conntrack_amanda autofs4 ipt_LOG ipt_state ip_conntrack
ipt_multiport iptable_filter ip_tables dm_mod video button battery ac ohci1394
ieee1394 uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx gameport
snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore via_rhine mii floppy ext3 jbd sata_via libata
sd_mod scsi_mod
Oct 21 09:13:27 bill2 kernel: CPU:    0
Oct 21 09:13:27 bill2 kernel: EIP:    0060:[<c01768e6>]    Not tainted VLI
Oct 21 09:13:27 bill2 kernel: EFLAGS: 00210046   (2.6.13-1.1532_FC4)
Oct 21 09:13:27 bill2 kernel: EIP is at kmem_cache_alloc+0xf/0x4e
Oct 21 09:13:27 bill2 kernel: eax: 00000000   ebx: 00200246   ecx: 00000000  
edx: 00000220
Oct 21 09:13:27 bill2 kernel: esi: 00000220   edi: 00000000   ebp: c360d2a0  
esp: ca7f1ee8
Oct 21 09:13:27 bill2 kernel: ds: 007b   es: 007b   ss: 0068
Oct 21 09:13:28 bill2 kernel: Process tux (pid: 10267, threadinfo=ca7f1000
task=d36fe000)
Oct 21 09:13:28 bill2 kernel: Stack: d4674de0 cba97b60 d6bad800 e0c63f01
ca096f88 c03ff4a6 0100007f d6bad800
Oct 21 09:13:28 bill2 kernel:        00000000 e0c837e0 00000000 e0c64070
d6bad800 00000000 e0c60190 e0c83640
Oct 21 09:13:28 bill2 kernel:        d6bad800 e0c61759 0000016c d36fe128
d36fe000 5e9a5266 0000016c 0014127d
Oct 21 09:13:28 bill2 kernel: Call Trace:
Oct 21 09:13:28 bill2 kernel:  [<e0c63f01>] redirect_sock+0xb0/0x1ae [tux]
Oct 21 09:13:28 bill2 kernel:  [<c03ff4a6>] schedule+0x356/0x938
Oct 21 09:13:28 bill2 kernel:  [<e0c64070>] redirect_request+0x71/0xe1 [tux]
Oct 21 09:13:28 bill2 kernel:  [<e0c60190>] tux_schedule_atom+0x29/0x3f [tux]
Oct 21 09:13:28 bill2 kernel:  [<e0c61759>] process_requests+0x229/0x457 [tux]
Oct 21 09:13:28 bill2 kernel:  [<e0c708a2>] event_loop+0x6c/0x190 [tux]
Oct 21 09:13:28 bill2 kernel:  [<e0c728fe>] __sys_tux+0x253/0x9ac [tux]
Oct 21 09:13:29 bill2 kernel:  [<c0143bb9>] sys_setuid+0xed/0x144
Oct 21 09:13:29 bill2 kernel:  [<c0104465>] syscall_call+0x7/0xb
Oct 21 09:13:29 bill2 kernel: Code: c7 44 24 08 de 08 00 00 c7 44 24 04 8f 72 41
c0 c7 04 24 f0 f7 40 c0 e8 8c 12 fb ff 57 56 53 89 c7 89 d6 f6 c2 10 75 21 9c 5b
fa <8b> 17 8b 02 85 c0 74 2c c7 42 0c 01 00 00 00 83 e8 01 89 02 8b
Oct 21 09:13:29 bill2 kernel:  <5>TUX: thread 0 stopping ...
Comment 2 Dave Jones 2005-11-10 15:28:24 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 William H. Haller 2005-11-11 17:39:39 EST
Tux not configured in 1637_FC4
Comment 4 Denis Saveliev 2005-11-30 13:04:02 EST
I have very similar issue as William when running 2.6.13-1.1532.

This seems to happen only if the page requested is php which is confgured to be 
handled via TUX/redirect. Static pages/images are being served with no problems.

Standalone apache works just fine.

Two more recent kernel packages (2.6.14-1.1637 and 2.6.14-1.1644) have no TUX
support built in. For security reason there're no compiler on the web server so
I'm not able to recompile the kernel from sources to check.

When the next kernel package update is expected and can it be built with TUX
support?

Comment 5 Dave Jones 2006-02-03 01:15:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-05 16:23:49 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.